FastNetMon

пятница, 18 ноября 2011 г.

RandomPool_DeprecationWarning: This application uses RandomPool, which is BROKEN in older releases

Имеем баг:
python -c "import paramiko"
/usr/lib/python2.6/dist-packages/Crypto/Util/randpool.py:40: RandomPool_DeprecationWarning: This application uses RandomPool, which is BROKEN in older releases. See http://www.pycrypto.org/randpool-broken
RandomPool_DeprecationWarning)

Чтобы пофиксить открываем Питон-файл:
vim /usr/lib/python2.6/dist-packages/Crypto/Util/randpool.py

И комментируем следующие строки:
#warnings.warn("This application uses RandomPool, which is BROKEN in older releases. See http://www.pycrypto.org/randpool-broken",
# RandomPool_DeprecationWarning)

После этого проблема исчезнет, но, обращаю внимания, это немного некорректный фикс.

2 комментария :

  1. В смысле "так везде" ? Это единичный баг, единичной программный в одном единственном дистрибутиве.

    ОтветитьУдалить

Примечание. Отправлять комментарии могут только участники этого блога.